package com.seeyon.apps.ocip.manager;

import com.seeyon.ctp.common.exceptions.BusinessException;

public interface OcipAjaxManager {
	
	//客开项目：ocip-公文交换  [验证是否外单位，是:发送公文撤销通知] 作者：wxt.skl 时间：2017年8月2日 星期四  start 
	/**
	 * 判断单位是否是外单位
	 * 
	 * @param recOrgid
	 * @return
	 * @throws BusinessException
	 */
	public boolean validateIsExtUnit(String recOrgid) throws BusinessException;
	
	/**
	 * 公文交换通知撤销接收方撤销
	 * 
	 * @param exchangeDetailId，repealComment
	 * @return
	 * @throws BusinessException
	 */
	public boolean noticeExtUnitRepeal(String exchangeDetailId, String repealComment) throws BusinessException;
	//客开项目：ocip-公文交换  [验证是否外单位，是:发送公文撤销通知] 作者：wxt.skl 时间：2017年8月2日 星期四  end

	/**
	 * 校验编码唯一性
	 * @param code
	 * @param postId
	 * @return
	 * @throws BusinessException
	 */
	public boolean validateCodeLevel(String code, String levelId) throws BusinessException;

	/**
	 * 校验编码唯一性
	 * @param code
	 * @param postId
	 * @return
	 * @throws BusinessException
	 */
	public boolean validateCodePost(String code, String postId) throws BusinessException;
	
	public String getOcipUnit(String recOrgids) throws BusinessException;

	public boolean getRunningProcess(String processId);
}
